/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StatefulList } from '../index.js';
describe('StatefulList', function () {
  test('basic render', function () {
    function CustomRoot() {
      return React.createElement("span", null);
    }

    var props = {
      overrides: {
        Root: CustomRoot
      },
      initialState: {
        items: ['Item 1', 'Item 2']
      },
      onChange: jest.fn(),
      stateReducer: jest.fn()
    };
    var component = shallow(React.createElement(StatefulList, props));
    expect(component.props()).toMatchObject(props);
  });
});